### Function

# Gimp pattern_get_info

#### Declaration [src]

    gboolean
    gimp_pattern_get_info (
      const gchar* name,
      gint* width,
      gint* height,
      gint* bpp
    )

#### Description [src]

Retrieve information about the specified pattern.

This procedure retrieves information about the specified pattern. This includes the pattern extents (width and height).

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The pattern name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint*`
| The pattern width.
| The argument will be set by the function.
`height` | `gint*`
| The pattern height.
| The argument will be set by the function.
`bpp` | `gint*`
| The pattern bpp.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.